package input;

import javax.swing.JOptionPane;

public class Input {
    // A p?ld?nyos?t?s letilt?sa
    private Input() {
    }

    public static int inputInteger(String uzenet) {
        while (true) {
            String str = JOptionPane.showInputDialog(uzenet);
            if (str != null) { // Nem Cancel-t nyomtak
                try {
                    return Integer.parseInt(str.trim());
                }
                catch (Exception e) {
                    System.out.println("Ez nem szm!");
                }
            } // end_if
            else {             // Cancel-t nyomtak
                System.out.println("Cancel-t nyomtl!");
            } // end_else
        } // end_while
    } // end_inputInteger
} // end_class
